Subject: Re: [PATCH] run-command: Redirect stderr to a pipe before redirecting stdout to stderr

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 6 Mar 2008 01:42:25 -0500

Christian Couder <[email-masked]> wrote:
> On Wed, 5 Mar 2008, I wrote:
> > With this patch, in the 'start_command' function after forking
> > we now take care of stderr in the child process before stdout.
> > ...
> 
> I am afraid I forgot the 
> 
> From: "Shawn O. Pearce" <[email-masked]>
> 
> at the top of the patch in my last resend, so the patch was attributed to me instead of Shawn.
> 
> Is it possible to do something about it ? (I fear not since it is now in 'next' but maybe I am wrong.)

Nope, its done and over with.

Don't sweat it.  It was a very short patch, you wrote it apparently
independently from me, so the author line from you is just as valid.

I say its fine as is.  Maybe better.  Your version had an API
doc update.  My version is what triggered the "maybe we should
document the API before we modify it further" discussion.  ;-)

-- 
Shawn.